#!/usr/bin/env perl
use Log::Report      qw/persona/;

use CGI::Fast        ();

use Mozilla::Persona::Server ();

my $persona = Mozilla::Persona::Server->fromConfig('__CONFIG__');

my %actions =
  ( is_logged_in => sub { $persona->actionIsLoggedIn($cgi) }
  , login        => sub { $persona->actionLogin($cgi)      }
  , sign         => sub { $persona->actionSign($cgi)       }
  );

while (my $cgi = CGI::Fast->new)
{   my $action = $actions{$cgi->param('action')}
        or error __x"cannot find action {name}", name => $action;

    $action->($cgi);
}
